Administrative Tools

The following administrative tools appear in both Windows 2000 Professional and Windows 2000 Server:

Component Services

Used by system administrators to deploy and administer COM+ programs from a graphical user interface, or to automate administrative tasks using a scripting or programming language. Software developers can use Component Services to visually configure routine component and program behavior, such as security and participation in transactions, and to integrate components into COM+ programs. For more information, see Using Component Services.

Computer Management

Used to manage local or remote computers from a single, consolidated desktop utility. Computer Management combines several Windows 2000 administrative tools into a single console tree, providing easy access to a specific computer's administrative properties. For more information, see Using Computer Management.

Data Sources (ODBC)

Open Database Connectivity (ODBC) is a programming interface that enables programs to access data in database management systems that use Structured Query Language (SQL) as a data access standard. For more information, see Using Data Sources (ODBC).

Event Viewer

Used to view and manage logs of system, program, and security events on your computer. Event Viewer gathers information about hardware and software problems, and monitors Windows 2000 security events. For more information, see Using Event Viewer.

Local Security Policy

Used to configure security settings for the local computer. These settings include the Password policy, Account Lockout policy, Audit policy, IP Security policy, user rights assignments, recovery agents for encrypted data, and other security options. Local Security Policy is only available on Windows 2000 computers that are not domain controllers. If the computer is a member of a domain, these settings may be overridden by policies received from the domain.

Performance

Used to collect and view real-time data about memory, disk, processor, network, and other activity in a graph, histogram, or report form. For more information, see Using Performance.

Services

Used to manage the services on your computer, set recovery actions to take place if a service fails, and create custom names and descriptions for services so that you can easily identify them. For more information, see Using Services.

Open Administrative Tools in Control Panel.

Notes

  • Additional administrative tools appear in Windows 2000 Server.
  • Administrative Tools can also be opened from Microsoft Management Console, or by clicking Start, pointing to Settings, clicking Control Panel, and then double-clicking Administrative Tools.

Related Topics


Internet Options

This Control Panel component opens the Internet Properties dialog box, where Internet properties can be changed. These properties are organized under six tabs: General, Security, Content, Connections, Programs, and Advanced. For more information, see Using Internet Explorer.


Using Control Panel

You can use the icons in Control Panel to change the appearance and functionality of Windows 2000. These icons represent options for configuring your computer.

To view a description of each Control Panel item, on the View menu in Control Panel, click Details. For additional help on any Control Panel item, click the appropriate book on the Contents tab in Help.

Related Topics